%define _buildid .10

Summary: GNU's bc (a numeric processing language) and dc (a calculator)
Name: bc
Version: 1.06.95
Release: 1%{?_buildid}%{?dist}
License: GPLv2+
URL: http://www.gnu.org/software/bc/
Group: Applications/Engineering
Source: ftp://alpha.gnu.org/pub/gnu/bc/bc-%{version}.tar.bz2
Patch1: bc-1.06-dc_ibase.patch
Patch2: bc-1.06.95-memleak.patch
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: readline-devel, flex, bison, texinfo

%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive
arbitrary precision stack based calculator, which can be used as a
text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
%setup -q
%patch1 -p1 -b .dc_ibase
%patch2 -p1 -b .memleak

%build
%configure --with-readline
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -e %{_infodir}/bc.info.gz -a -e %{_infodir}/dc.info.gz ]; then
  /sbin/install-info %{_infodir}/bc.info.gz %{_infodir}/dir \
  --entry="* bc: (bc).                      The GNU calculator language." || :
  /sbin/install-info %{_infodir}/dc.info.gz %{_infodir}/dir \
  --entry="* dc: (dc).                      The GNU RPN calculator." || :
fi

%preun
if [ $1 = 0 -a -e %{_infodir}/bc.info.gz -a -e %{_infodir}/dc.info.gz ]; then
  /sbin/install-info --delete %{_infodir}/bc.info.gz %{_infodir}/dir \
  --entry="* bc: (bc).                      The GNU calculator language." || :
  /sbin/install-info --delete %{_infodir}/dc.info.gz %{_infodir}/dir \
  --entry="* dc: (dc).                      The GNU RPN calculator." || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB FAQ AUTHORS NEWS README Examples/
%{_bindir}/dc
%{_bindir}/bc
%{_mandir}/*/*
%{_infodir}/*

%changelog
* Fri Jul 9 2010 21:37:37 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/bc-1.06.95-1.el6

* Fri May 7 2010 00:39:27 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/bc-1.06-21

* Fri May 7 2010 00:11:40 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package bc
